Subject: bug#7469: 24.0.50; report-emacs-bug is broken again (on Windows)

From: Jason Rumney <[email-masked]>
Date: Wed, 24 Nov 2010 21:09:49 +0800

Lars Magne Ingebrigtsen <[email-masked]> writes:

> The other two options that I see are:
>
> 1) Revert `browse-url-browser-function' to the previous definition, and
> special-case mailto: handling in all the callers so that they end up in
> an Emacs mail buffer when they ask for a mailto: URL.  This doesn't seem
> very satisfactory.
>
> 2) Revert `browse-url-browser-function', but add a new variable
> `browse-url-mailto-function', which will be checked by `browse-url' on
> mailto: URLs.  mailclient.el would bind that to nil before calling
> `browse-url' to get the system browser to handle sending the mail.

3) Modify browse-url-default-browser to recognise mailto urls and try a
different list of programs than the liist of webrowsers it currently tries.